﻿Type=Service
Version=2.65
@EndOfDesignText@
#Region Module Attributes
	#StartAtBoot: False
#End Region

'Service module
Sub Process_Globals
	Dim rv As RemoteViews
	Dim Prefscreen1,Prefscreen2 As AHPreferenceScreen
	Dim manager As AHPreferenceManager
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
End Sub

Sub Service_Create
	Log("Service_Create")
	'Configure the defaults parameters
	If manager.GetAll.Size = 0 Then SetDefaults
	rv = ConfigureHomeWidget("WidgetLayout", "rv", 1, "Multipleprefscreen", True)
End Sub

Sub Service_Start (StartingIntent As Intent)
	Log("Service_Start")
	If rv.HandleWidgetEvents(StartingIntent) Then Return
End Sub

Sub rv_RequestUpdate
	Log("rv_RequestUpdate Sub")
	SetTime
	rv.UpdateWidget
End Sub

Sub SetTime
	Log("SetTime Sub")
	rv.SetText("Label1", DateTime.Time(DateTime.Now))
End Sub

Sub rv_Disabled
	Log("rv_Disabled Sub")
	StopService("")
End Sub

Sub Img_Click
	Log("Img_Click")
	'Create preference screen and preferences for use later
	CreatePreferenceScreen
	'Clear the list of manager Updates for test all changes
	manager.GetUpdatedKeys.Clear
	'Start the dummyActivity
	StartActivity(prefActivity)
End Sub

Sub CreatePreferenceScreen
	'Initialise the first preference screen
	Prefscreen1.Initialize("Settings", "")
	'create three categories
	Dim cat1,cat2 As AHPreferenceCategory
	'intialise the first category
	cat1.Initialize("General settings")
	'Add three check box for user choices
	cat1.AddCheckBox("check1", "First check", "check1 is on", "check1 is off", False,"")
	cat1.AddCheckBox("check2", "Second check", "check2 is on", "check2 is off", True,"")

	'intialise the second preference screen
	Prefscreen2.Initialize("Sub settings","Fix your secondary setting there")
	cat2.Initialize("Sub settings")
	cat2.AddCheckBox("check3", "Third check", "check3 is on", "check3 is off", True,"")
	' Add the screen with the Internet settings to the category
	cat1.AddPreferenceScreen(Prefscreen2, "check2")

	'add the categories to the main screen
	Prefscreen1.AddPreferenceCategory(cat1)
	Prefscreen2.AddPreferenceCategory(cat2)
End Sub

Sub SetDefaults
	'defaults are only set on the first run.
	manager.SetBoolean("check1", False)
	manager.SetBoolean("check2", True)
	manager.SetBoolean("check3", False)
	manager.GetUpdatedKeys.Clear
End Sub

Sub Service_Destroy
	Log("Service_Destroy Sub")
End Sub
